QGIS Application - Bug report #19604
[DXF export] Labels are exported even if the entity is not visible
2018-08-13 09:07 AM - Loic BARTOLETTI

Status: Closed

Priority: Normal

Assignee:

Category: DXF export

Affected QGIS version:3.5(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27431
Description

When exporting DXF, labels of entities that are not displayed are still exported (but the entity no). This happens when they are not visible
due to a filter made at the layer style level.

An example with three linestring, two labelled with "F%" and one with "G%" only "F%" labels should be exported.

Testedon 2.18 and 3

Associated revisions

Revision c389fad1 - 2019-02-22 01:05 AM - Jiirgen Fischer

dxf export: don't label invisible features (fixes #19604)

Revision 87c9e18e - 2019-02-22 01:11 AM - Jiirgen Fischer

dxf export: don't label invisible features (fixes #19604)

(cherry picked from commit c389fad1ad0396cf9914dedc8d2e9a9c303cd8f8)

History

#1 - 2018-08-13 02:48 PM - Regis Haubourg
- Subject changed from Labels are exported even if the entity is not visible to [DXF export] Labels are exported even if the entity is not visible

#2 - 2019-01-21 12:35 AM - Jiirgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-21 10:13 AM - Loic BARTOLETTI
- Affected QGIS version changed from 2.18.21 to 3.5(master)
- Status changed from Feedback to Open

#4 - 2019-01-21 10:36 AM - Nyall Dawson

Yes, confirmed here
#5 - 2019-02-22 01:10 AM - Jiirgen Fischer
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|c389fad1ad0396cf9914dedc8d2e9a9c303cd8f8.
